
%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary: MATE desktop default icons
Name: mate-icon-theme
Version: 1.28.0
Release: %mkrel 1
# Add Mageia icon license
License: GPLv2+ and LGPLv2+ and Creative Commons Attribution-ShareAlike
Group: Graphical desktop/MATE
URL:  https://www.mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1: mageia-pngs-2016.tar.xz
BuildArch: noarch
BuildRequires: intltool
BuildRequires: icon-naming-utils >= 0.8.7
Requires: hicolor-icon-theme

%description
Default icon theme for MATE Desktop.

%prep
%autosetup -a 1

%build
%configure --enable-icon-mapping
%make_build

%install
%make_install

touch %{buildroot}%{_iconsdir}/mate/icon-theme.cache
touch %{buildroot}%{_iconsdir}/menta/icon-theme.cache

# Install Mageia icon
icon_dirs="16x16 22x22 24x24 32x32 48x48"
scales="16 22 24 32 48"
for i in $icon_dirs; do
  pushd %{buildroot}%{_iconsdir}/mate/$i/places
  mv start-here.png start-here-mate.png
  popd
  pushd %{buildroot}%{_iconsdir}/menta/$i/places
  mv start-here.png start-here-mate.png
  popd
done

for i in $scales; do
  install -m644 start-here-${i}.png %{buildroot}%{_iconsdir}/mate/${i}x${i}/places/start-here.png
  install -m644 start-here-${i}.png %{buildroot}%{_iconsdir}/menta/${i}x${i}/places/start-here.png
done

# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  %{_iconsdir}/mate/
%update_icon_cache mate

%transfiletriggerin --  %{_iconsdir}/menta/
%update_icon_cache menta

%transfiletriggerpostun --  %{_iconsdir}/mate/
%update_icon_cache mate

%transfiletriggerpostun --  %{_iconsdir}/menta/
%update_icon_cache menta

%files
%doc README TODO
%{_iconsdir}/mate/*/
%{_iconsdir}/mate/index.theme
%ghost %{_iconsdir}/mate/icon-theme.cache
%{_iconsdir}/menta/*/
%{_iconsdir}/menta/index.theme
%ghost %{_iconsdir}/menta/icon-theme.cache


%changelog
* Sun Mar 24 2024 wally <wally> 1.28.0-1.mga10
+ Revision: 2051754
- new version 1.28.0

* Sun Jan 29 2023 wally <wally> 1.26.0-3.mga9
+ Revision: 1936833
- fix filetriggers and remove unneeded %%post and %%postun icon cache updates

* Wed Mar 23 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1820734
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740022
- new version 1.26.0

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547997
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488727
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465677
- Update to version 1.22.2

* Wed Apr 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1387876
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375501
- Update to version 1.22.0

* Tue Jan 01 2019 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1348379
- Update to version 1.20.3

* Sat Dec 01 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1337257
- Update to version 1.20.2
- Rolled back to r1279493

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335513
- Update to version 1.20.1

* Thu Sep 20 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1279493
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201341
- Updated to 1.20.0 version

* Fri Oct 27 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174301
- Updated to 1.19.0 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092537
- Update to 1.18.0 version
- Update to 1.17.0 version

* Fri Dec 23 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1076641
- new version 1.16.0

* Wed Nov 23 2016 anaselli <anaselli> 1.14.0-2.mga6
+ Revision: 1069543
- Update app MATE menu icon (mga#18579)

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001163
- Update to 1.14.0 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942319
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898498
-Update to 1.12.0 version
+ tv <tv>
- switch to new upstream file trigger syntax

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 837228
- Update to 1.10.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 743615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682191
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600077
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598046
- Update to 1.7.x version

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.3-1.mga4
+ Revision: 563882
-Update to new bugfix version: 1.6.3

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 534503
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 diogenese <diogenese> 1.6.2-1.mga4
+ Revision: 475352
- Updating mate-icon-theme from 1.6.1 to 1.6.2

* Sun Jun 23 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 446059
- New bugfix version
- imported package mate-icon-theme

